<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
  "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.sy.coinage.sys.dao.OrgDao">
  <sql id="Base_Column_List">
    id
    , status, sorted, pid, director_name, short_name, linkman, telephone, province_code, city_code, district_code, create_by, province_name, city_name, district_name, code, create_time, name, address, tenant_id
  </sql>
  <select id="queryPageList" resultType="com.sy.coinage.sys.vo.OrgListVO">
    select
    <include refid="Base_Column_List"/>
    from sys_org
    <if test="ew.emptyOfWhere == false">
      ${ew.customSqlSegment}
    </if>
  </select>
  <select id="queryOptList" resultType="com.sy.coinage.core.vo.OptVO">
    select id, short_name as name
    from sys_org
    <if test="ew.emptyOfWhere == false">
      ${ew.customSqlSegment}
    </if>
  </select>
</mapper>
